Subject: Re: bug#68200: 30.0.50; Emacs reloads init file when calling `documentation'

From: Stefan Kangas <[email-masked]>
Date: Thu, 11 Jan 2024 11:54:38 -0800

Alan Mackenzie <[email-masked]> writes:

> In an age when a computer with 1 GB RAM is regarded as small indeed, why
> are we so concerned about the, at most, few hundred bytes occupied by
> each doc string?  Even if certain libraries were given adequate doc
> strings, that still wouldn't swell the occupied storage to more than...
> Well, I think there are around 40,000 defuns (etc.) in Emacs (I did scan
> the source files for this at one time).  If each doc string were on
> average 1024 bytes, that would come to around 40 MB.  That's negligible
> these days, surely.
>
> Eli, what would you say to changing the default of the custom variable
> byte-compile-dynamic-docstrings to nil?

Could you come up with a more accurate number?  Maybe I'm missing
something, but 40 MB sounds like a lot to me.  Most docstrings should be
much smaller than 1024 bytes (15 full rows with our 65 character width).